program main
!error : variable x, a and b muse be INTENT(IN)
!error: the number of p1's argument isnot consistnt with intrnsic operator "+"
	interface OPERATOR (+)
	function  p1(x)
	integer x
	end
	function  p2(a,b)
	real a,b
	end
	end interface
end	
